package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Dokumen;
import com.jasamedika.medifirst2000.helper.Caption;

public class CetakPengantarSuratVO extends BaseTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "ObjectDokumenFk")
	@Caption(value="Dokumen")
	private DokumenVO dokumen;
	
	@ManyToOne
	@JoinColumn(name = "ObjectTipePengirimSuratFk")
	@Caption(value="Tipe Pengirim Surat")
	private TipePengirimSuratVO tipePengirimSurat;

	@ManyToOne
	@JoinColumn(name = "ObjectStatusBerkasFk")
	@Caption(value="StatusBerkas")
	private StatusBerkasVO statusBerkas;
	
	@Column(name = "TanggalSuratDiserahkan", nullable = true)
	@Caption(value="tanggalSuratDiserahkan")
	private Date tanggalSuratDiserahkan;
	
	@Column(name = "SampaiTanggal", nullable = true)
	@Caption(value="sampaiTanggal")
	private Date sampaiTanggal;
	
	@Column(name = "PerihalSurat", nullable = true)
	@Caption(value="PerihalSurat")
	private String perihalSurat;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusDiterimaFk")
	@Caption(value="StatusDiterima")
	private StatusYaTidakVO statusDiterima;
	
	@ManyToOne
	@JoinColumn(name = "ObjectNamaPengantarFk")
	@Caption(value="namaPengantar")
	private PegawaiVO namaPengantar;
	
	@Column(name = "JamDiserahkan", nullable = true)
	@Caption(value="jamDiserahkan")
	private Date jamDiserahkan;
	
	@ManyToOne
	@JoinColumn(name = "ObjectNamaPenerimaFk")
	@Caption(value="namaPenerima")
	private PegawaiVO namaPenerima;
	
	@Column(name = "JamDiterima", nullable = true)
	@Caption(value="jamDiterima")
	private Date jamDiterima;

	public TipePengirimSuratVO getTipePengirimSurat() {
		return tipePengirimSurat;
	}

	public void setTipePengirimSurat(TipePengirimSuratVO tipePengirimSurat) {
		this.tipePengirimSurat = tipePengirimSurat;
	}

	public StatusBerkasVO getStatusBerkas() {
		return statusBerkas;
	}

	public void setStatusBerkas(StatusBerkasVO statusBerkas) {
		this.statusBerkas = statusBerkas;
	}

	public Date getTanggalSuratDiserahkan() {
		return tanggalSuratDiserahkan;
	}

	public void setTanggalSuratDiserahkan(Date tanggalSuratDiserahkan) {
		this.tanggalSuratDiserahkan = tanggalSuratDiserahkan;
	}

	public Date getSampaiTanggal() {
		return sampaiTanggal;
	}

	public void setSampaiTanggal(Date sampaiTanggal) {
		this.sampaiTanggal = sampaiTanggal;
	}

	public String getPerihalSurat() {
		return perihalSurat;
	}

	public void setPerihalSurat(String perihalSurat) {
		this.perihalSurat = perihalSurat;
	}

	public StatusYaTidakVO getStatusDiterima() {
		return statusDiterima;
	}

	public void setStatusDiterima(StatusYaTidakVO statusDiterima) {
		this.statusDiterima = statusDiterima;
	}

	public PegawaiVO getNamaPengantar() {
		return namaPengantar;
	}

	public void setNamaPengantar(PegawaiVO namaPengantar) {
		this.namaPengantar = namaPengantar;
	}

	public Date getJamDiserahkan() {
		return jamDiserahkan;
	}

	public void setJamDiserahkan(Date jamDiserahkan) {
		this.jamDiserahkan = jamDiserahkan;
	}

	public PegawaiVO getNamaPenerima() {
		return namaPenerima;
	}

	public void setNamaPenerima(PegawaiVO namaPenerima) {
		this.namaPenerima = namaPenerima;
	}

	public Date getJamDiterima() {
		return jamDiterima;
	}

	public void setJamDiterima(Date jamDiterima) {
		this.jamDiterima = jamDiterima;
	}

	public DokumenVO getDokumen() {
		return dokumen;
	}

	public void setDokumen(DokumenVO dokumen) {
		this.dokumen = dokumen;
	}
	
	
}
